      subroutine vec3d_cross(v1,v2,v3) ! Bernd Berg Jun 22 2007.
C Vector (cross) product of two 3d vectors.
      include 'implicit.sta'  
      include 'constants.par'
      dimension v1(3),v2(3),v3(3)
      v3(3)=v1(1)*v2(2)-v1(2)*v2(1)
      v3(1)=v1(2)*v2(3)-v1(3)*v2(2)
      v3(2)=v1(3)*v2(1)-v1(1)*v2(3)
      return
      end

